﻿#ifndef LCD_H_
#define LCD_H_

#include "mega324pb.h"

void lcd_init (void);
void clearlcd (void);
void setpos (unsigned char x, unsigned char y);
void str_lcd (const char* str1);
	
//  сигнала RW не используется
inline void set_e()		{ PORTD |= (1 << 7); }
inline void clear_e()	{ PORTD &= ~(1 << 7); }
inline void set_rs()	{ PORTD |= (1 << 5); }
inline void clear_rs()	{ PORTD &= ~(1 << 5); }

#endif /* LCD_H_ */
